Commit 95a1e046 authored by Georges Racinet's avatar Georges Racinet 🦑
Browse files

Heptapod CI: appropriate tag for hg-current image

We have stopped pushing to `hg-current:latest` in favor of
`hg-current:default` long ago.
Forthcoming new tests will need new dependencies (hg extensions)
on the client side.

Also updated comment for the fact that `hg-current:stable` now
does exist.
parent 55011663fba3
......@@ -33,10 +33,10 @@ flake8:
# This base image provides in particular python3, Mercurial and SSH clients,
# as well as tox (Mercurial and hg-evolve have fixed versions, the same as
# server-side for the 'default' series of Heptapod.
# We may prefer to switch to `stable` instead of `latest` when it becomes
# available, but it doesn't matter much except in very special cases, such
# We may prefer to switch to `stable` instead of `default`,
# but it doesn't matter much except in very special cases, such
# as when we had to force hg-evolve>=9.3.1 for all clients (see heptapod#221).
image: registry.heptapod.net:443/heptapod/ci-images/mercurial/hg-current:latest
image: registry.heptapod.net:443/heptapod/ci-images/mercurial/hg-current:default
variables:
PYTEST_NUM_SHARDS: 2
script:
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment